# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87.0"
name = "nyxd-scraper-shared"
version = "1.21.2"
authors = ["Nym Technologies SA"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Common crate for the sqlite and psql Nyxd blockchain scrapers"
homepage = "https://nymtech.net"
documentation = "https://nymtech.net"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/nymtech/nym"
resolver = "2"

[lib]
name = "nyxd_scraper_shared"
path = "src/lib.rs"

[[example]]
name = "watcher"
path = "examples/watcher.rs"

[dependencies.async-trait]
version = "0.1.88"

[dependencies.base64]
version = "0.22.1"

[dependencies.const_format]
version = "0.2.34"

[dependencies.cosmos-sdk-proto]
version = "0.27.0"
features = [
    "serde",
    "cosmwasm",
]

[dependencies.cosmrs]
version = "0.22.0"

[dependencies.eyre]
version = "0.6.9"

[dependencies.futures]
version = "0.3.31"

[dependencies.humantime]
version = "2.2.0"

[dependencies.ibc-proto]
version = "0.52.0"
features = ["serde"]

[dependencies.prost]
version = "0.13"
default-features = false

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.140"
features = ["float_roundtrip"]

[dependencies.sha2]
version = "0.10.3"

[dependencies.tendermint]
version = "0.40.4"

[dependencies.tendermint-rpc]
version = "0.40.4"
features = [
    "websocket-client",
    "http-client",
]

[dependencies.thiserror]
version = "2.0"

[dependencies.time]
version = "0.3.41"

[dependencies.tokio]
version = "1.47"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1.17"

[dependencies.tokio-util]
version = "0.7.15"
features = ["rt"]

[dependencies.tracing]
version = "0.1.41"

[dependencies.url]
version = "2.5"

[lints.clippy]
complexity = "deny"
dbg_macro = "deny"
exit = "deny"
expect_used = "deny"
panic = "deny"
perf = "deny"
style = "deny"
suspicious = "deny"
todo = "deny"
unimplemented = "deny"
unreachable = "deny"
unwrap_used = "deny"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(tokio_unstable)"]
